/* Carte des couleurs (colormap)
   pour l'affichage graphique.

   Leblanc Christophe.
   Janvier 2011.
*/

#ifndef COLORMAP_H
#define COLORMAP_H

#include <stddef.h>

class ColorMap
{
private:
    void SearchForMapFromID();
    int _IDmap;
    size_t _size;
    
public:
    double *map;
    
    ColorMap();
    ColorMap(int Idmap);
    ColorMap(const ColorMap &rhs);
    ~ColorMap();
    ColorMap &operator=(const ColorMap &rhs);
    void SetMap(int IDmap);
    int GetIDmap() const;
    size_t GetSize() const;
};

#endif // COLORMAP_H
